Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 645278 - [TRACKER] Perl packages using bundled Module::Install::DSL < 1.19 silently break on Perl 5.28 ( 5.27.7+ )
Summary: [TRACKER] Perl packages using bundled Module::Install::DSL < 1.19 silently br...
Status: RESOLVED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard:
Keywords: Tracker
Depends on:
Blocks:
 
Reported: 2018-01-21 17:51 UTC by Kent Fredric (IRC: kent\n)
Modified: 2019-10-17 10:15 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Fredric (IRC: kent\n) gentoo-dev 2018-01-21 17:51:53 UTC
https://rt.perl.org/Public/Bug/Display.html?id=2754

This bugfix breaks MI::DSL <1.19 which is reliant on the buggy behaviour.

Already confirmed dev-perl/LWP-Online is affected.

The rest are possible candidates that individual bugs may be opened for in future:

dev-perl/Test-ClassAPI
dev-perl/ORLite
dev-perl/asa
dev-perl/PPI-PowerToys
dev-perl/Algorithm-Dependency
dev-perl/ORLite-Migrate
dev-perl/Test-SubCalls
dev-perl/Text-FindIndent
dev-perl/Locale-Msgfmt
dev-perl/Class-Autouse
dev-perl/prefork
dev-perl/Module-Manifest
dev-perl/Chart-Math-Axis
dev-perl/Devel-Dumpvar
dev-perl/Class-Adapter
dev-perl/LWP-Online
Comment 1 Andreas K. Hüttel gentoo-dev 2019-10-11 05:21:36 UTC
Is this still a real problem, or just historical bugdump by now? :)
Comment 2 Andreas K. Hüttel gentoo-dev 2019-10-17 10:15:38 UTC
Let's reopen this once we actually find such a bug.